org.springframework.cloud.dataflow.rest.resource

## Class TaskToolsResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<TaskToolsResource>
  - - org.springframework.cloud.dataflow.rest.resource.TaskToolsResource

-     public class TaskToolsResource
      extends org.springframework.hateoas.RepresentationModel<TaskToolsResource>

  Represents a response from the tools endpoint. Depending on whether the request was to parse a DSL string into a graph or convert a graph to DSL, the different fields of the response will be filled in.
  Author:
    Andy Clement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskToolsResource()`
    `TaskToolsResource(org.springframework.cloud.dataflow.core.dsl.graph.Graph graph, List<Map<String,Object>> errors)`
    `TaskToolsResource(String dsl, List<Map<String,Object>> errors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDsl()`
    `List<Map<String,Object>>` | `getErrors()`
    `org.springframework.cloud.dataflow.core.dsl.graph.Graph` | `getGraph()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskToolsResource

          public TaskToolsResource()

    - #### TaskToolsResource

          public TaskToolsResource(org.springframework.cloud.dataflow.core.dsl.graph.Graph graph,
                                   List<Map<String,Object>> errors)

    - #### TaskToolsResource

          public TaskToolsResource(String dsl,
                                   List<Map<String,Object>> errors)

  - ### Method Detail

    - #### getGraph

          public org.springframework.cloud.dataflow.core.dsl.graph.Graph getGraph()

    - #### getDsl

          public String getDsl()

    - #### getErrors

          public List<Map<String,Object>> getErrors()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.